#!/bin/bash
SYNOPKG=/usr/syno/bin/synopkg

FOUND_DB_TITLE="Restaurar ou Criar o banco de dados do MariaDB 10"
DECIDE_RESTORE_DESC="Selecione uma das seguintes ações:"
RESTORE_DESC="Restaurar o banco de dados existente"
CREATE_NEW_DESC="Criar um novo banco de dados"
MYSQLDB_ESSENTIAL_TABLE="user db host tables_priv columns_priv func"

ChkDB() {
	local mysqlPath=$1
	for tbl in ${MYSQLDB_ESSENTIAL_TABLE}; do
		if [ ! -f ${mysqlPath}/mysql/${tbl}.frm -o ! -f ${mysqlPath}/mysql/${tbl}.MYI -o ! -f ${mysqlPath}/mysql/${tbl}.MYD ]; then
			return 1
			break;
		fi
	done
	return 0
}

ChkExecEnv() {
	local mysqlSubPath=

	if [ "yes" = "$IS_USBSTATION" ]; then
		mysqlSubPath="@sharebin/@database/mariadb10"
		volRegExp='/volumeUSB[1-9]/usbshare'
	else
		mysqlSubPath="@database/mariadb10"
		volRegExp='/volume[1-9]'
	fi

	for volume in `grep -e " $volRegExp " /proc/mounts | awk '{ print $2 }'`; do
		if [ -d "${volume}/${mysqlSubPath}" ]; then
			return $(ChkDB "${volume}/${mysqlSubPath}")
		fi
	done
	return 1
}

main() {
	PAGE=$(/bin/cat<<EOF
{
	"step_title": "${FOUND_DB_TITLE}",
	"items": [{
		"type": "singleselect",
		"desc": "${DECIDE_RESTORE_DESC}",
		"subitems": [{
			"desc": "${RESTORE_DESC}",
			"defaultValue": true
		}, {
			"key": "pkgwizard_create",
			"desc": "${CREATE_NEW_DESC}",
			"defaultValue": false
		}]
	}]
}
EOF
)
	if ChkExecEnv; then
		echo "[${PAGE}]" >> "${SYNOPKG_TEMP_LOGFILE}"
	fi
}
main "$@"
